## org.apache.fop.dom.svg
Class SVGTextElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGTextContentElementImpl
                                    |
                                    +--org.apache.fop.dom.svg.SVGTextElementImpl

public class SVGTextElementImpl
extends SVGTextContentElementImpl

class representing text in an SVG Area

Field Summary
`EnumProperty` `anchor` alignment of text
`java.util.Vector` `textList` vector of text elements, strings, tspan, tref
`float` `x` x-coordinate of text
`float` `y` y-coordinate of text

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Constructor Summary
`SVGTextElementImpl()` construct a text element

Methods inherited from class org.apache.fop.dom.svg.SVGTextContentElementImpl
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getLengthAdjust, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, getTextLength, selectSubString`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public float x

  x-coordinate of text

### y

    public float y

  y-coordinate of text

### anchor

    public EnumProperty anchor

  alignment of text

### textList

    public java.util.Vector textList

  vector of text elements, strings, tspan, tref

Constructor Detail

### SVGTextElementImpl

    public SVGTextElementImpl()

  construct a text element

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.